Package twisted :: Package scripts :: Module conch :: Class SSHUnixChannel

[show private | hide private]
[frames | no frames]

## Class SSHUnixChannel

    SSHChannel --+
                 |
                SSHUnixChannel

Method Summary
| `__init__(self, unix, name, windowSize, maxPacket)`
| `__str__(self)` (inherited from `SSHChannel`)
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window.
| ``channelOpen`(self, specificData)` Called when the channel is opened.
| ``closed`(self)` Called when the channel is closed.
| ``dataReceived`(self, data)` Called when we receive data.
| ``eofReceived`(self)` Called when the other side will send no more data.
| ``extReceived`(self, dataType, data)` Called when we receive extended data (usually standard error).
`tuple` | ``getHost`(self)` Return a tuple describing out side of the connection. (inherited from `SSHChannel`)
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection. (inherited from `SSHChannel`)
| ``loseConnection`(self)` Close the channel. (inherited from `SSHChannel`)
| ``openFailed`(self, reason)` Called when the the open failed for some reason.
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel. (inherited from `SSHChannel`)
| ``startWriting`(self)` Called when the remote buffer has more room, as a hint to continue writing. (inherited from `SSHChannel`)
| ``stopWriting`(self)` Called when the remote buffer is full, as a hint to stop writing. (inherited from `SSHChannel`)
| ``write`(self, data)` Write some data to the channel. (inherited from `SSHChannel`)
| ``writeExtended`(self, dataType, data)` Send extended data to this channel. (inherited from `SSHChannel`)
| ``writeSequence`(self, data)` Part of the Transport interface. (inherited from `SSHChannel`)

Method Details

### addWindowBytes(self, bytes)

Called when bytes are added to the remote window. By default it clears the data buffers.

  Parameters:
    `bytes`
    (type=`int`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.addWindowBytes` (inherited documentation)

### channelOpen(self, specificData)

Called when the channel is opened. specificData is any data that the other side sent us when opening the channel.

  Parameters:
    `specificData`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.channelOpen` (inherited documentation)

### closed(self)

Called when the channel is closed.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.closed` (inherited documentation)

### dataReceived(self, data)

Called when we receive data.

  Parameters:
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.dataReceived` (inherited documentation)

### eofReceived(self)

Called when the other side will send no more data.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.eofReceived` (inherited documentation)

### extReceived(self, dataType, data)

Called when we receive extended data (usually standard error).

  Parameters:
    `dataType`
    (type=`int`)
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.extReceived` (inherited documentation)

### openFailed(self, reason)

Called when the the open failed for some reason. reason.desc is a string descrption, reason.code the the SSH error code.

  Parameters:
    `reason`
    (type=`error.ConchError`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.openFailed` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:51 2003 | http://epydoc.sf.net